package com.wechat.model.dto;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 订单列表页使用
 * @author jadyn.wu
 * @date: 2019-09-07 17:28
 */
public class OrderListDto {

	private String orderId; // 订单编号（采番规则：P/E+YYMMDD+10位hashCode取正+3位随机数）

	private String pkgId; // 套餐id（会员套餐表id）
	
	private Integer goodsId; // 商品id
	
	private String img;  //封面图

	private String pkgTitle; // 套餐标题
    private String subhead;  // 商品副标题

	private String pkgIntroduction; // 套餐简介
	
	private String pkgDetail; // 套餐详情
	
	private String sku;		// sku

	private String price; // 商品售价（单价）

    private BigDecimal payableMoney;  //应付商品总金额

    private BigDecimal payableFreight;  //总运费金额

    private BigDecimal realFreight;  //实付运费
    
    private Integer discountMoney;//抵扣金额

    private BigDecimal payPrice;   // 实际支付总金额（总价）

    private Integer goodsNums;  //商品数量

	private Date orderTime; // 下单时间

	private Date payTime; // 支付时间

	private String expressName; // 快递公司名（字典表维护，此处直接填名称）
	private String expressNo; // 快递单号
	private String ordStatus; // 订单状态[1-订单生成；2-已支付；3-取消订单（用户）；4-退款；9-作废（系统）]
	
	private String userDel; // 用户删除标志[ 0-正常, 1-已删除 ]

    private String type;  //0会员套餐订单 1个人服务,2企业服务,3商品购买，4积分兑换

	public OrderListDto() {
		super();
	}
	
	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getPkgId() {
		return pkgId;
	}

	public void setPkgId(String pkgId) {
		this.pkgId = pkgId;
	}

	public Integer getGoodsId() {
		return goodsId;
	}

	public void setGoodsId(Integer goodsId) {
		this.goodsId = goodsId;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getPkgTitle() {
		return pkgTitle;
	}

	public void setPkgTitle(String pkgTitle) {
		this.pkgTitle = pkgTitle;
	}

	public String getSubhead() {
		return subhead;
	}

	public void setSubhead(String subhead) {
		this.subhead = subhead;
	}

	public String getPkgIntroduction() {
		return pkgIntroduction;
	}

	public void setPkgIntroduction(String pkgIntroduction) {
		this.pkgIntroduction = pkgIntroduction;
	}

	public String getPkgDetail() {
		return pkgDetail;
	}

	public void setPkgDetail(String pkgDetail) {
		this.pkgDetail = pkgDetail;
	}

	public String getSku() {
		return sku;
	}

	public void setSku(String sku) {
		this.sku = sku;
	}

	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}

	public BigDecimal getPayableMoney() {
		return payableMoney;
	}

	public void setPayableMoney(BigDecimal payableMoney) {
		this.payableMoney = payableMoney;
	}

	public BigDecimal getPayPrice() {
		return payPrice;
	}

	public void setPayPrice(BigDecimal payPrice) {
		this.payPrice = payPrice;
	}

	public Integer getGoodsNums() {
		return goodsNums;
	}

	public void setGoodsNums(Integer goodsNums) {
		this.goodsNums = goodsNums;
	}

	public Date getOrderTime() {
		return orderTime;
	}

	public void setOrderTime(Date orderTime) {
		this.orderTime = orderTime;
	}

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public String getExpressName() {
		return expressName;
	}

	public void setExpressName(String expressName) {
		this.expressName = expressName;
	}

	public String getExpressNo() {
		return expressNo;
	}

	public void setExpressNo(String expressNo) {
		this.expressNo = expressNo;
	}

	public String getOrdStatus() {
		return ordStatus;
	}

	public void setOrdStatus(String ordStatus) {
		this.ordStatus = ordStatus;
	}

	public String getUserDel() {
		return userDel;
	}

	public void setUserDel(String userDel) {
		this.userDel = userDel;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public BigDecimal getPayableFreight() {
		return payableFreight;
	}

	public void setPayableFreight(BigDecimal payableFreight) {
		this.payableFreight = payableFreight;
	}

	public BigDecimal getRealFreight() {
		return realFreight;
	}

	public void setRealFreight(BigDecimal realFreight) {
		this.realFreight = realFreight;
	}

	public Integer getDiscountMoney() {
		return discountMoney;
	}

	public void setDiscountMoney(Integer discountMoney) {
		this.discountMoney = discountMoney;
	}

	
}